Skip to content

Tcpdump

POST
/api/operate/namespaces/{namespace}/sites/{site}/ver/tcpdump
curl --request POST \
--url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/operate/namespaces/example/sites/example/ver/tcpdump \
--header 'Authorization: <Authorization>' \
--header 'Content-Type: application/json' \
--data '{ "count": 1, "intf": { "intf": "example", "pod": "example", "vn": "example", "vn_type": "VIRTUAL_NETWORK_SITE_LOCAL" }, "max_time_period": 1, "namespace": "example", "node": "example", "options": "example", "site": "example" }'

Run tcpdump on an interface in a ver node.

namespace
required
string

Namespace Namespace for which the request is sent (system)

site
required
string

Site Name Name of the site on which tcpdump is to be run.

Media typeapplication/json
Tcpdump Request

Request to run tcpdump on a ver interface.

object
count
Count

Maximum packets to be captured. Packet capture will end once this number of packets are captured.

integer format: int64
intf
object
intf
Interface Name

Exclusive with [pod vn vn_type] Name of the chosen interface on the node.

string
>= 1 characters <= 256 characters
pod
Pod Name

Exclusive with [intf vn vn_type] Name of the pod whose interface on the node is chosen.

string
>= 1 characters <= 256 characters
vn
Virtual Network

Exclusive with [intf pod vn_type] Name of chosen Virtual Network.

string
>= 1 characters <= 256 characters
vn_type
string
default: VIRTUAL_NETWORK_SITE_LOCAL
Allowed values: VIRTUAL_NETWORK_SITE_LOCAL VIRTUAL_NETWORK_SITE_LOCAL_INSIDE VIRTUAL_NETWORK_PER_SITE VIRTUAL_NETWORK_PUBLIC VIRTUAL_NETWORK_GLOBAL VIRTUAL_NETWORK_SITE_SERVICE VIRTUAL_NETWORK_VER_INTERNAL VIRTUAL_NETWORK_SITE_LOCAL_INSIDE_OUTSIDE VIRTUAL_NETWORK_IP_AUTO VIRTUAL_NETWORK_VOLTADN_PRIVATE_NETWORK VIRTUAL_NETWORK_SRV6_NETWORK VIRTUAL_NETWORK_IP_FABRIC VIRTUAL_NETWORK_SEGMENT VIRTUAL_NETWORK_MANAGEMENT
max_time_period
Maximum Time Period

Maximum time period, in seconds, for which packets are to be captured on the interface. Packet capture will end after this time period, irrespective of the number of packets captured.

integer format: int64
namespace
Namespace

Namespace for which the request is sent (system)

string
>= 6 characters <= 1024 characters
node
Node Name

Name of the node on which tcpdump is initiated Required: YES.

string
>= 1 characters <= 64 characters
options
Options

Tcpdump OPTIONS / filter rules to be applied while running tcpdump. These filter rules will be in the same format as linux tcpdump filter rules.

string
>= 1 characters <= 256 characters
site
Site Name

Name of the site on which tcpdump is to be run.

string
<= 1024 characters

A successful response.

Media typeapplication/json
Tcpdump Response

Response to the Tcpdump request.

object
count
Count

Packet capture will end once count reaches, irrespective of time duration is still present.

integer format: int64
duration
Duration

Duration in seconds, for which packets are captured on the interface. Packet capture will end after this duration, irrespective of the number of packets captured.

integer format: int64
error
object
code
string
default: EOK
Allowed values: EOK EPERMS EBADINPUT ENOTFOUND EEXISTS EUNKNOWN ESERIALIZE EINTERNAL EPARTIAL
error_obj
object
type_url

A URL/resource name that uniquely identifies the type of the serialized protocol buffer message. This string must contain at least one ”/” character. The last segment of the URL’s path must represent the fully qualified name of the type (as in path/google.protobuf.duration). The name should be in a canonical form (e.g., leading ”.” is not accepted).

In practice, teams usually precompile into the binary all types that they expect it to use in the context of Any. However, for URLs which use the scheme HTTP, HTTPS, or no scheme, one can optionally set up a type server that maps type URLs to message definitions as follows:

  • If no scheme is provided, HTTPS is assumed.
  • An HTTP GET on the URL must yield a [google.protobuf.type][] value in binary format, or produce an error.
  • Applications are allowed to cache lookup results based on the URL, or have them precompiled into a binary to avoid any lookup. Therefore, binary compatibility needs to be preserved on changes to types. (Use versioned type names to manage breaking changes.)

Note: this functionality is not currently available in the official protobuf release, and it is not used for type URLs beginning with type.googleapis.com.

Schemes other than HTTP, HTTPS (or the empty scheme) might be used with implementation specific semantics.

string
<= 1024 characters
value

Must be a valid serialized protocol buffer of the above specified type.

string format: byte
>= 3 characters <= 1024 characters
message
message

A human readable string of the error.

string
<= 1024 characters
interface_name
Interface Name

Interface Name on which tcpdump is triggered.

string
<= 1024 characters
node
Node Name

Name of the node on which tcpdump is initiated.

string
<= 1024 characters
status
Status

Status Response for TcpdumpRequest job.

string
>= 17 characters <= 1024 characters
Example
{
"error": {
"code": "EOK"
}
}

Returned when operation is not authorized.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when there is no permission to access resource.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when resource is not found.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when operation on resource is conflicting with current value.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when operation has been rejected as it is happening too frequently.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when server encountered an error in processing API.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when service is unavailable temporarily.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when server timed out processing request.

Media typeapplication/json
string format: string
Examplegenerated
example